priority_queue_base_dispatch.hpp File Reference

Go to the source code of this file.

## Classes

struct | __gnu_pbds::detail::container_base_dispatch< _VTp, Cmp_Fn, _Alloc, binary_heap_tag, null_type >
struct | __gnu_pbds::detail::container_base_dispatch< _VTp, Cmp_Fn, _Alloc, binomial_heap_tag, null_type >
struct | __gnu_pbds::detail::container_base_dispatch< _VTp, Cmp_Fn, _Alloc, pairing_heap_tag, null_type >
struct | __gnu_pbds::detail::container_base_dispatch< _VTp, Cmp_Fn, _Alloc, rc_binomial_heap_tag, null_type >
struct | __gnu_pbds::detail::container_base_dispatch< _VTp, Cmp_Fn, _Alloc, thin_heap_tag, null_type >

## Namespaces

| __gnu_pbds

## Macros

#define | PB_DS_ASSERT_VALID(X)
#define | PB_DS_DEBUG_VERIFY(_Cond)

## Detailed Description

Contains an pqiative container dispatching base.

Definition in file priority_queue_base_dispatch.hpp.